<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.web.mapper.WebNoteMapper">

    <resultMap type="WebNote" id="WebNoteResult">
        <result property="id"    column="ID"    />
        <result property="type"    column="Type"    />
        <result property="intnumber"    column="intNumber"    />
        <result property="strtppe"    column="strTppe"    />
        <result property="strtypeL"    column="strType_l"    />
        <result property="licensetype"    column="LicenseType"    />
        <result property="question"    column="Question"    />
        <result property="an1"    column="An1"    />
        <result property="an2"    column="An2"    />
        <result property="an3"    column="An3"    />
        <result property="an4"    column="An4"    />
        <result property="an5"    column="An5"    />
        <result property="an6"    column="An6"    />
        <result property="an7"    column="An7"    />
        <result property="answertrue"    column="AnswerTrue"    />
        <result property="explain"    column="explain"    />
        <result property="bestanswerid"    column="BestAnswerId"    />
        <result property="kemu"    column="kemu"    />
        <result property="jieshiFrom"    column="jieshi_from"    />
        <result property="moretypes"    column="moretypes"    />
        <result property="chapterid"    column="chapterid"    />
        <result property="sinaimg"    column="sinaimg"    />
        <result property="videoUrl"    column="video_url"    />
        <result property="diffDegree"    column="diff_degree"    />
        <result property="cityid"    column="cityid"    />
        <result property="gs"    column="gs"    />
        <result property="keyword"    column="keyword"    />
        <result property="errorRate"    column="error_rate"    />
        <result property="mediaUrl"    column="media_url"    />
        <result property="showOptionType"    column="show_option_type"    />
        <result property="questionSource"    column="question_source"    />
        <result property="bestExplainNew"    column="best_explain_new"    />
    </resultMap>

    <sql id="selectWebNoteVo">
        select * from web_note
    </sql>

    <select id="selectWebNoteList" parameterType="WebNote" resultMap="WebNoteResult">
        <include refid="selectWebNoteVo"/>
        <where>
            <if test="id != null "> and ID = #{id}</if>
            <if test="type != null "> and Type = #{type}</if>
            <if test="intnumber != null  and intnumber != ''"> and intNumber = #{intnumber}</if>
            <if test="strtppe != null  and strtppe != ''"> and strTppe = #{strtppe}</if>
            <if test="strtypeL != null  and strtypeL != ''"> and strType_l = #{strtypeL}</if>
            <if test="licensetype != null  and licensetype != ''"> and LicenseType = #{licensetype}</if>
            <if test="question != null  and question != ''"> and Question = #{question}</if>
            <if test="an1 != null  and an1 != ''"> and An1 = #{an1}</if>
            <if test="an2 != null  and an2 != ''"> and An2 = #{an2}</if>
            <if test="an3 != null  and an3 != ''"> and An3 = #{an3}</if>
            <if test="an4 != null  and an4 != ''"> and An4 = #{an4}</if>
            <if test="an5 != null  and an5 != ''"> and An5 = #{an5}</if>
            <if test="an6 != null  and an6 != ''"> and An6 = #{an6}</if>
            <if test="an7 != null  and an7 != ''"> and An7 = #{an7}</if>
            <if test="answertrue != null  and answertrue != ''"> and AnswerTrue = #{answertrue}</if>
            <if test="explain != null  and explain != ''"> and explain = #{explain}</if>
            <if test="bestanswerid != null  and bestanswerid != ''"> and BestAnswerId = #{bestanswerid}</if>
            <if test="kemu != null "> and kemu = #{kemu}</if>
            <if test="jieshiFrom != null  and jieshiFrom != ''"> and jieshi_from = #{jieshiFrom}</if>
            <if test="moretypes != null  and moretypes != ''"> and moretypes = #{moretypes}</if>
            <if test="chapterid != null "> and chapterid = #{chapterid}</if>
            <if test="sinaimg != null  and sinaimg != ''"> and sinaimg = #{sinaimg}</if>
            <if test="videoUrl != null  and videoUrl != ''"> and video_url = #{videoUrl}</if>
            <if test="diffDegree != null "> and diff_degree = #{diffDegree}</if>
            <if test="cityid != null "> and cityid = #{cityid}</if>
            <if test="gs != null  and gs != ''"> and gs = #{gs}</if>
            <if test="keyword != null  and keyword != ''"> and keyword = #{keyword}</if>
            <if test="errorRate != null "> and error_rate = #{errorRate}</if>
            <if test="mediaUrl != null  and mediaUrl != ''"> and media_url = #{mediaUrl}</if>
            <if test="showOptionType != null "> and show_option_type = #{showOptionType}</if>
            <if test="questionSource != null "> and question_source = #{questionSource}</if>
            <if test="bestExplainNew != null  and bestExplainNew != ''"> and best_explain_new = #{bestExplainNew}</if>
        </where>
    </select>

</mapper>
